Bug 599574 - yum-complete-transaction fails with ValueError: too many values to unpack
yum-complete-transaction fails with ValueError: too many values to unpack
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-03 10:17 EDT by dsswift
Modified: 2014-01-21 18:15 EST (History)
5 users (show)

See Also:
Fixed In Version: yum-utils-1.1.27-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-03 14:59:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description dsswift 2010-06-03 10:17:12 EDT
Description of problem:Iwas running a quite big update using KPackageKit when the system crashed. After reboot, I tried to run KPackageKit again but it said the I has to run yum-complete-transaction as root. When I tried this I got the following failure:-
# yum-complete-transaction
Loaded plugins: auto-update-debuginfo, presto, refresh-packagekit
Found 2 installed debuginfo package(s)
Enabling fedora-debuginfo: Fedora 13 - i386 - Debug
Reading repository metadata in from local files
Enabling rpmfusion-nonfree-debuginfo: RPM Fusion for Fedora 13 - Nonfree - Debug
Reading repository metadata in from local files
Enabling updates-debuginfo: Fedora 13 - i386 - Updates - Debug
Reading repository metadata in from local files
Enabling rpmfusion-free-updates-debuginfo: RPM Fusion for Fedora 13 - Free - Updates Debug
Reading repository metadata in from local files
Enabling rpmfusion-free-debuginfo: RPM Fusion for Fedora 13 - Free - Debug
Reading repository metadata in from local files
Enabling rpmfusion-nonfree-updates-debuginfo: RPM Fusion for Fedora 13 - Nonfree - Updates Debug
Reading repository metadata in from local files
There are 1 outstanding transactions to complete. Finishing the most recent one
Traceback (most recent call last):
  File "/usr/sbin/yum-complete-transaction", line 239, in <module>
    util = YumCompleteTransaction()
  File "/usr/sbin/yum-complete-transaction", line 118, in __init__
    self.main()
  File "/usr/sbin/yum-complete-transaction", line 188, in main
    remaining = find_ts_remaining(timestamp, yumlibpath=self.conf.persistdir)
  File "/usr/lib/python2.6/site-packages/yum/misc.py", line 785, in find_ts_remaining
    (action, pkgspec) = item.split()
ValueError: too many values to unpack


Version-Release number of selected component (if applicable):
3.2.27-4.fc13

How reproducible:
Happens every time


Steps to Reproduce:
1.su
2.yum-complete-transaction
3.
  
Actual results:
As above

Expected results:
Clear problem with kpackagekit

Additional info:
Comment 1 seth vidal 2010-06-03 10:23:24 EDT
could you run:

ls -la /var/lib/yum


and paste the output into this bug?
Comment 2 seth vidal 2010-06-03 10:43:18 EDT
and if you have any files named:
transaction*

in there - could you attach them

thx
Comment 3 dsswift 2010-06-03 10:50:42 EDT
(In reply to comment #1)
> could you run:
> 
> ls -la /var/lib/yum
> 
> 
> and paste the output into this bug?    
[root@dsswift dss]# ls -la /var/lib/yum
total 32
drwxr-xr-x.  4 root root  4096 Jun  2 20:32 .
drwxr-xr-x. 55 root root  4096 May 25 21:21 ..
drwxr-xr-x.  2 root root  4096 Jun  2 20:31 history
-rw-r--r--   1 root root 10435 Jun  2 20:32 transaction-all.2010-06-02.20:32.00
-rw-r--r--.  1 root root    36 Mar 26 16:41 uuid
drwxr-xr-x. 41 root root  4096 Mar 11 21:10 yumdb

(In reply to comment #2)
> and if you have any files named:
> transaction*
> 
> in there - could you attach them
> 
> thx    

[root@dsswift dss]# cat /var/lib/yum/transaction-all.2010-06-02.20:32.00
logrotate state -- version 2
"/var/log/dirmngr/dirmngr.log" 2009-11-30
"/var/log/bittorrent/btseed.log" 2009-11-30
"/var/log/boincerr.log" 2009-12-4
"/var/log/yum.log" 2010-1-1
"/var/log/cups/page_log" 2010-5-30
"/var/log/snmpd.log" 2009-11-30
"/var/log/cups/error_log" 2010-5-30
"/var/log/boinc.log" 2010-5-30
"/var/log/boot.log" 2010-5-30
"/var/log/glusterfs/glusterfs.log" 2010-4-26
"/var/log/cups/access_log" 2010-5-30
"/var/log/libvirt/lxc/*.log" 2010-4-26
"/var/log/httpd/*log" 2009-11-30
"/var/log/wtmp" 2009-11-30
"/var/log/spooler" 2010-5-30
"/var/log/btmp" 2010-6-1
"/var/log/jetty/jetty-console.log" 2009-12-1
"/var/log/maillog" 2010-5-30
"/var/log/libvirt/uml/*.log" 2010-4-26
"/var/log/wpa_supplicant.log" 2009-11-30
"/var/log/bittorrent/bttrack.log" 2009-11-30
"/var/log/secure" 2010-5-30
"/var/log/slim.log" 2010-4-14
"/var/log/libvirt/qemu/Myvirt.log" 2010-4-26
"/var/log/ppp/connect-errors" 2009-11-30
"/var/log/messages" 2010-5-30
"/var/account/pacct" 2009-11-30
"/var/log/cron" 2010-5-30
"/var/log/setroubleshoot/*.log" 2009-11-30
tall 0:kdeplasma-addons-libs-4.4.3-1.fc13.1.i686
install 0:kdeplasma-addons-4.4.3-1.fc13.1.i686
install 6:kdebase-libs-4.4.3-2.fc13.1.i686
install 6:kdebase-4.4.3-2.fc13.1.i686
install 6:kdeutils-libs-4.4.3-1.fc13.1.i686
install 6:kdeutils-4.4.3-1.fc13.1.i686
install 7:kdenetwork-libs-4.4.3-3.fc13.i686
install 0:kdeedu-marble-libs-4.4.3-1.fc13.1.i686
install 0:kdeedu-marble-4.4.3-1.fc13.1.i686
install 0:kross-python-4.4.3-1.fc13.1.i686
install 1:kdeaccessibility-4.4.3-1.fc13.1.i686
install 1:kdeaccessibility-libs-4.4.3-1.fc13.1.i686
install 0:kdeedu-libs-4.4.3-1.fc13.1.i686
install 6:kdemultimedia-libs-4.4.3-1.fc13.1.i686
install 0:kdeedu-math-libs-4.4.3-1.fc13.1.i686
install 7:kio_msits-4.4.3-1.fc13.1.i686
install 7:kdegraphics-4.4.3-1.fc13.1.i686
install 0:kdeedu-math-4.4.3-1.fc13.1.i686
install 6:kdemultimedia-4.4.3-1.fc13.1.i686
install 0:kdeedu-4.4.3-1.fc13.1.i686
install 7:kdenetwork-4.4.3-3.fc13.i686
install 0:kdeartwork-screensavers-4.4.3-1.fc13.1.i686
install 0:kdm-4.4.3-1.fc13.1.i686
install 7:kdetoys-4.4.3-1.fc13.1.i686
install 6:kdegames-4.4.3-1.fc13.1.i686
install 7:kdeadmin-4.4.3-1.fc13.1.i686
install 1:control-center-2.30.1-2.fc13.i686
install 0:ibus-pinyin-1.3.8-1.fc13.i686
install 0:kdeartwork-4.4.3-1.fc13.1.i686
install 0:kdebase-workspace-python-applet-4.4.3-1.fc13.1.i686
install 6:kdeutils-printer-applet-4.4.3-1.fc13.1.i686
install 7:system-config-printer-kde-4.4.3-1.fc13.1.i686
erase 7:kdenetwork-4.4.2-2.fc13.i686
erase 6:kdepim-4.4.2-1.fc13.i686
erase 6:kdepim-libs-4.4.2-1.fc13.i686
erase 0:kdepim-runtime-libs-4.4.2-1.fc13.i686
erase 0:kdepim-runtime-4.4.2-1.fc13.i686
erase 6:kdeutils-libs-4.4.2-1.fc13.i686
erase 6:kdeutils-4.4.2-1.fc13.i686
erase 7:kdegraphics-4.4.2-3.fc13.i686
erase 6:kdegames-4.4.2-1.fc13.i686
erase 0:kdeedu-4.4.2-1.fc13.i686
erase 6:kdegames-minimal-4.4.2-1.fc13.i686
erase 7:kdenetwork-libs-4.4.2-2.fc13.i686
erase 7:kdeadmin-4.4.2-1.fc13.i686
erase 0:kdeedu-marble-libs-4.4.2-1.fc13.i686
erase 0:kdeedu-marble-4.4.2-1.fc13.i686
erase 0:ibus-pinyin-1.3.6-1.fc13.i686
erase 6:kdemultimedia-4.4.2-2.fc13.i686
erase 6:kdebase-4.4.2-1.fc13.i686
erase 6:kdebase-libs-4.4.2-1.fc13.i686
erase 0:kdeplasma-addons-4.4.2-1.fc13.i686
erase 0:kdeplasma-addons-libs-4.4.2-1.fc13.i686
erase 7:kdegraphics-libs-4.4.2-3.fc13.i686
erase 1:control-center-2.30.1-1.fc13.i686
erase 0:libvirt-0.7.7-3.fc13.i686
erase 0:kdeedu-math-4.4.2-1.fc13.i686
erase 0:ibus-chewing-1.2.99.20100317-2.fc12.i686
erase 0:ibus-gtk-1.3.3-1.fc13.i686
erase 0:ibus-1.3.3-1.fc13.i686
erase 0:kdeartwork-screensavers-4.4.2-1.fc13.i686
erase 7:kdetoys-4.4.2-1.fc13.i686
erase 0:kdeartwork-kxs-4.4.2-1.fc13.i686
erase 1:kdeaccessibility-4.4.2-1.fc13.i686
erase 1:kdeaccessibility-libs-4.4.2-1.fc13.i686
erase 0:openssh-clients-5.4p1-1.fc13.i686
erase 0:kdm-4.4.2-5.fc13.i686
erase 0:openssh-server-5.4p1-1.fc13.i686
erase 0:kdeedu-math-libs-4.4.2-1.fc13.i686
erase 0:iscsi-initiator-utils-6.2.0.870-13.fc13.i686
erase 0:sane-backends-1.0.20-11.fc13.i686
erase 0:sane-backends-libs-1.0.20-11.fc13.i686
erase 6:kdemultimedia-libs-4.4.2-2.fc13.i686
erase 6:kdegames-libs-4.4.2-1.fc13.i686
erase 0:kdeedu-libs-4.4.2-1.fc13.i686
erase 0:kross-python-4.4.2-1.fc13.i686
erase 7:kio_msits-4.4.2-3.fc13.i686
erase 0:libfm-gtk-0.1.11-4.fc13.i686
erase 0:libfm-0.1.11-4.fc13.i686
erase 1:wpa_supplicant-0.6.8-8.fc13.i686
erase 0:lftp-4.0.5-3.fc12.i686
erase 0:usbmuxd-1.0.4-1.fc13.i686
erase 0:openssh-askpass-5.4p1-1.fc13.i686
erase 0:openssh-5.4p1-1.fc13.i686
erase 0:util-linux-ng-2.17.2-4.fc13.i686
erase 0:libblkid-2.17.2-4.fc13.i686
erase 0:gdb-7.1-22.fc13.i686
erase 0:file-roller-2.30.1.1-2.fc13.i686
erase 0:ibus-libs-1.3.3-1.fc13.i686
erase 1:quota-3.17-9.fc13.i686
erase 1:x86info-1.25-1.45.fc12.i686
erase 0:perl-Compress-Raw-Zlib-2.023-112.fc13.i686
erase 0:clutter-1.2.6-1.fc13.i686
erase 0:xorg-x11-drv-wacom-0.10.6-1.fc13.i686
erase 2:ntfs-3g-2010.3.6-1.fc13.i686
erase 0:farsight2-0.0.17-2.fc13.i686
erase 0:libisofs-0.6.30-1.fc13.i686
erase 0:ruby-libs-1.8.6.399-1.fc13.i686
erase 0:strace-4.5.19-1.fc12.i686
erase 0:xorg-x11-drv-synaptics-1.2.2-3.fc13.i686
erase 0:vlgothic-fonts-20100416-1.fc13.noarch
erase 0:selinux-policy-targeted-3.7.19-15.fc13.noarch
erase 0:kdebase-workspace-python-applet-4.4.2-5.fc13.i686
erase 0:nss-softokn-devel-3.12.4-19.fc12.i686
erase 0:selinux-policy-3.7.19-15.fc13.noarch
erase 0:ibus-pinyin-db-android-1.3.6-1.fc13.noarch
erase 0:groff-perl-1.18.1.4-21.fc12.i686
erase 0:tex-preview-11.86-1.fc13.noarch
erase 0:python-virtinst-0.500.2-1.fc13.noarch
erase 7:system-config-printer-kde-4.4.2-1.fc13.i686
erase 0:rpmlint-0.95-2.fc13.noarch
erase 0:cjkuni-uming-fonts-0.2.20080216.1-37.fc13.noarch
erase 0:sos-1.9-3.fc12.noarch
erase 0:libuuid-devel-2.17.2-4.fc13.i686
erase 0:kdeartwork-4.4.2-1.fc13.i686
erase 0:evolution-help-2.30.1-2.fc13.noarch
erase 0:perf-2.6.33.4-95.fc13.noarch
erase 6:kdeutils-printer-applet-4.4.2-1.fc13.i686
erase 0:cjkuni-fonts-common-0.2.20080216.1-37.fc13.noarch
erase 0:vlgothic-fonts-common-20100416-1.fc13.noarch
erase 1:control-center-filesystem-2.30.1-1.fc13.i686
erase 0:kdebase-workspace-wallpapers-4.4.2-5.fc13.noarch
erase 0:kmod-kqemu-1.4.0-0.2.pre1.fc13.22.i686
erase 0:kdeartwork-wallpapers-4.4.2-1.fc13.noarch
erase 0:kernel-headers-2.6.33.4-95.fc13.i686
erase 0:libsilc-1.1.10-1.fc12.i686
erase 0:tzdata-2010i-1.fc13.noarch
erase 0:tzdata-java-2010i-1.fc13.noarch
erase 3:perl-version-0.80-112.fc13.i686
erase 0:kmod-VirtualBox-OSE-3.1.8-1.1.i686
erase 0:kdebase-workspace-4.4.2-5.fc13.i686
erase 0:kdebase-workspace-libs-4.4.2-5.fc13.i686
erase 0:kdebase-runtime-libs-4.4.2-3.fc13.i686
erase 0:kdebase-runtime-4.4.2-3.fc13.i686
erase 0:kdepimlibs-akonadi-4.4.2-1.fc13.i686
erase 0:kdepimlibs-4.4.2-1.fc13.i686
erase 0:evolution-2.30.1-2.fc13.i686
erase 0:libcanberra-gtk2-0.23-1.fc13.i686
erase 0:libvirt-python-0.7.7-3.fc13.i686
erase 0:libvirt-client-0.7.7-3.fc13.i686
erase 0:nss-softokn-3.12.4-19.fc12.i686
erase 0:PyKDE4-4.4.2-1.fc13.i686
erase 6:kdelibs-4.4.2-4.fc13.i686
erase 0:groff-1.18.1.4-21.fc12.i686
erase 0:nss-softokn-freebl-3.12.4-19.fc12.i686
erase 0:libcap-ng-0.6.2-4.fc13.i686
erase 0:libcanberra-0.23-1.fc13.i686
erase 0:ksysguardd-4.4.2-5.fc13.i686
erase 0:libuuid-2.17.2-4.fc13.i686
erase 0:oxygen-icon-theme-4.4.2-1.fc13.noarch
erase 6:kdelibs-common-4.4.2-4.fc13.i686
erase 0:bash-4.1.2-4.fc13.i686
Comment 4 seth vidal 2010-06-03 11:07:11 EDT
umm
wow

logrotate state -- version 2
"/var/log/dirmngr/dirmngr.log" 2009-11-30
"/var/log/bittorrent/btseed.log" 2009-11-30
"/var/log/boincerr.log" 2009-12-4
"/var/log/yum.log" 2010-1-1
"/var/log/cups/page_log" 2010-5-30
"/var/log/snmpd.log" 2009-11-30
"/var/log/cups/error_log" 2010-5-30
"/var/log/boinc.log" 2010-5-30
"/var/log/boot.log" 2010-5-30
"/var/log/glusterfs/glusterfs.log" 2010-4-26
"/var/log/cups/access_log" 2010-5-30
"/var/log/libvirt/lxc/*.log" 2010-4-26
"/var/log/httpd/*log" 2009-11-30
"/var/log/wtmp" 2009-11-30
"/var/log/spooler" 2010-5-30
"/var/log/btmp" 2010-6-1
"/var/log/jetty/jetty-console.log" 2009-12-1
"/var/log/maillog" 2010-5-30
"/var/log/libvirt/uml/*.log" 2010-4-26
"/var/log/wpa_supplicant.log" 2009-11-30
"/var/log/bittorrent/bttrack.log" 2009-11-30
"/var/log/secure" 2010-5-30
"/var/log/slim.log" 2010-4-14
"/var/log/libvirt/qemu/Myvirt.log" 2010-4-26
"/var/log/ppp/connect-errors" 2009-11-30
"/var/log/messages" 2010-5-30
"/var/account/pacct" 2009-11-30
"/var/log/cron" 2010-5-30
"/var/log/setroubleshoot/*.log" 2009-11-30


that is REALLY not supposed to be in those files.

Have you run a fsck on the disk holding these files?
Comment 5 seth vidal 2010-06-03 11:13:56 EDT
also - what filesystem type is /var?

ext4? btrfs? ext3?
Comment 6 dsswift 2010-06-03 11:49:56 EDT
(In reply to comment #4)
> umm
> wow
> 
> logrotate state -- version 2
> "/var/log/dirmngr/dirmngr.log" 2009-11-30
> "/var/log/bittorrent/btseed.log" 2009-11-30
> "/var/log/boincerr.log" 2009-12-4
> "/var/log/yum.log" 2010-1-1
> "/var/log/cups/page_log" 2010-5-30
> "/var/log/snmpd.log" 2009-11-30
> "/var/log/cups/error_log" 2010-5-30
> "/var/log/boinc.log" 2010-5-30
> "/var/log/boot.log" 2010-5-30
> "/var/log/glusterfs/glusterfs.log" 2010-4-26
> "/var/log/cups/access_log" 2010-5-30
> "/var/log/libvirt/lxc/*.log" 2010-4-26
> "/var/log/httpd/*log" 2009-11-30
> "/var/log/wtmp" 2009-11-30
> "/var/log/spooler" 2010-5-30
> "/var/log/btmp" 2010-6-1
> "/var/log/jetty/jetty-console.log" 2009-12-1
> "/var/log/maillog" 2010-5-30
> "/var/log/libvirt/uml/*.log" 2010-4-26
> "/var/log/wpa_supplicant.log" 2009-11-30
> "/var/log/bittorrent/bttrack.log" 2009-11-30
> "/var/log/secure" 2010-5-30
> "/var/log/slim.log" 2010-4-14
> "/var/log/libvirt/qemu/Myvirt.log" 2010-4-26
> "/var/log/ppp/connect-errors" 2009-11-30
> "/var/log/messages" 2010-5-30
> "/var/account/pacct" 2009-11-30
> "/var/log/cron" 2010-5-30
> "/var/log/setroubleshoot/*.log" 2009-11-30
> 
> 
> that is REALLY not supposed to be in those files.
> 
> Have you run a fsck on the disk holding these files?    

Yes. Comes up clean
Comment 7 dsswift 2010-06-03 11:51:12 EDT
(In reply to comment #5)
> also - what filesystem type is /var?
> 
> ext4? btrfs? ext3?    

ext3
Comment 8 seth vidal 2010-06-03 11:56:41 EDT
can you post the output of:

cat /proc/mounts

please.

thanks
Comment 9 Eric Sandeen 2010-06-03 13:20:23 EDT
Is ext3 in data=writeback mode?  (/proc/mounts should show us that)

-Eric
Comment 10 dsswift 2010-06-03 13:47:20 EDT
(In reply to comment #8)
> can you post the output of:
> 
> cat /proc/mounts
> 
> please.
> 
> thanks    

dss@dsswift ~]$ cat /proc/mounts
rootfs / rootfs rw 0 0
/proc /proc proc rw,relatime 0 0
/sys /sys sysfs rw,relatime 0 0
udev /dev devtmpfs rw,relatime,size=1020220k,nr_inodes=214548,mode=755 0 0
devpts /dev/pts devpts rw,relatime,gid=5,mode=620,ptmxmode=000 0 0
tmpfs /dev/shm tmpfs rw,relatime 0 0
/dev/sda5 / ext3 rw,relatime,errors=continue,user_xattr,acl,data=ordered 0 0
/proc/bus/usb /proc/bus/usb usbfs rw,relatime 0 0                                                                                    
/dev/sda1 /windows fuseblk rw,relatime,user_id=0,group_id=0,default_permissions,allow_other,blksize=4096 0 0                         
/dev/sda6 /ubuntu ext3 rw,relatime,errors=continue,data=ordered 0 0                                                                  
/dev/sda7 /opensuse ext3 rw,relatime,errors=continue,data=ordered 0 0                                                                
/dev/sda8 /mepis ext3 rw,relatime,errors=continue,data=ordered 0 0                                                                   
/dev/sda9 /puppy ext3 rw,relatime,errors=continue,data=ordered 0 0                                                                   
/dev/sdb1 /dosd vfat rw,relatime,gid=46,fmask=0007,dmask=0007,allow_utime=0020,codepage=cp437,iocharset=ascii,shortname=mixed,utf8,errors=remount-ro 0 0                                                                                                                  
/dev/sdb2 /home ext3 rw,relatime,errors=continue,user_xattr,data=ordered 0 0                                                         
/dev/sdb3 /debian ext3 rw,relatime,errors=continue,data=ordered 0 0                                                                  
/dev/sdb5 /mandriva ext3 rw,relatime,errors=continue,data=ordered 0 0                                                                
/dev/sdb6 /data ext3 rw,relatime,errors=continue,user_xattr,acl,data=ordered 0 0                                                     
/dev/sdb8 /mint ext3 rw,relatime,errors=continue,data=ordered 0 0                                                                    
/dev/sdb9 /pclinux ext3 rw,relatime,errors=continue,data=ordered 0 0                                                                 
/dev/sdb10 /sdb10 ext3 rw,relatime,errors=continue,data=ordered 0 0                                                                  
/dev/sdb11 /sdb11 ext3 rw,relatime,errors=continue,data=ordered 0 0                                                                  
/dev/sdb12 /parsix ext4 rw,relatime,barrier=1,data=ordered 0 0                                                                       
/dev/sdb13 /sdb13 ext3 rw,relatime,errors=continue,data=ordered 0 0                                                                  
/dev/sdc1 /cruzer vfat rw,nosuid,nodev,noexec,relatime,uid=1000,gid=100,fmask=0007,dmask=0007,allow_utime=0020,codepage=cp437,iocharset=ascii,shortname=mixed,utf8,errors=remount-ro 0 0
/dev/sdd1 /hpflash vfat rw,nosuid,nodev,noexec,relatime,uid=1000,gid=100,fmask=0007,dmask=0007,allow_utime=0020,codepage=cp437,iocharset=ascii,shortname=mixed,utf8,errors=remount-ro 0 0
none /proc/sys/fs/binfmt_misc binfmt_misc rw,relatime 0 0
gvfs-fuse-daemon /home/dss/.gvfs fuse.gvfs-fuse-daemon rw,nosuid,nodev,relatime,user_id=1000,group_id=100 0 0
Comment 11 Eric Sandeen 2010-06-03 13:56:35 EDT
/dev/sda5 / ext3 rw,relatime,errors=continue,user_xattr,acl,data=ordered 0 0

(and no separate /var mountpoints)

Well, so much for the data=writeback theory.  I have no idea how the junk got in that file (FWIW, it's only about 1050 bytes of junk, not on a 4k block boundary or anything ...)
Comment 12 seth vidal 2010-06-03 14:12:56 EDT
to the original reporter:
are you seeing any other random app failures or crashes?

b/c at this point the traceback is due to a corrupted file but I don't think we have anything that looks like a root cause.
Comment 13 dsswift 2010-06-03 14:19:04 EDT
(In reply to comment #12)
> to the original reporter:
> are you seeing any other random app failures or crashes?
> 
> b/c at this point the traceback is due to a corrupted file but I don't think we
> have anything that looks like a root cause.    

No other failures, but have got round the problem by renaming the file
/var/lib/yum/transaction-all.2010-06-02.20:32.00 to
/var/lib/yum/xtransaction-all.2010-06-02.20:32.00 and re-running yum-complete-transaction. it worked as follows:-

[root@dsswift yum]# yum-complete-transaction
Loaded plugins: auto-update-debuginfo, presto, refresh-packagekit
Found 2 installed debuginfo package(s)
rpmfusion-free-updates                                                                                        | 2.8 kB     00:00     
rpmfusion-nonfree-updates                                                                                     | 2.8 kB     00:00     
updates/metalink                                                                                              |  23 kB     00:00     
updates                                                                                                       | 4.5 kB     00:00     
updates/primary_db                                                                                            | 1.3 MB     00:01     
Enabling fedora-debuginfo: Fedora 13 - i386 - Debug
Reading repository metadata in from local files
Enabling rpmfusion-nonfree-debuginfo: RPM Fusion for Fedora 13 - Nonfree - Debug
Reading repository metadata in from local files
Enabling updates-debuginfo: Fedora 13 - i386 - Updates - Debug
Reading repository metadata in from local files
updates-debuginfo/metalink                                                                                    |  16 kB     00:00     
updates-debuginfo                                                                                             | 3.1 kB     00:00     
updates-debuginfo/primary_db                                                                                  | 136 kB     00:00     
Enabling rpmfusion-free-updates-debuginfo: RPM Fusion for Fedora 13 - Free - Updates Debug
Reading repository metadata in from local files
rpmfusion-free-updates-debuginfo                                                                              | 2.3 kB     00:00     
Enabling rpmfusion-free-debuginfo: RPM Fusion for Fedora 13 - Free - Debug
Reading repository metadata in from local files
Enabling rpmfusion-nonfree-updates-debuginfo: RPM Fusion for Fedora 13 - Nonfree - Updates Debug
Reading repository metadata in from local files
rpmfusion-nonfree-updates-debuginfo                                                                           | 2.3 kB     00:00     
No unfinished transactions left.
Comment 14 seth vidal 2010-06-03 14:33:56 EDT
you're going to want to run:


package-cleanup --dupes
Comment 15 dsswift 2010-06-03 14:51:42 EDT
(In reply to comment #14)
> you're going to want to run:
> 
> 
> package-cleanup --dupes    

OK - done that. Thanks for your help
Comment 16 seth vidal 2010-06-03 14:59:36 EDT
okay, if you're happy, great.

I've added a patch to yum-complete-transaction and yum to provide a nicer error msg if the transaction journal is corrupted in an odd way.

thank you for reporting this.
Comment 17 Fedora Update System 2010-06-06 09:44:14 EDT
yum-utils-1.1.27-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/yum-utils-1.1.27-1.fc13
Comment 18 Fedora Update System 2010-06-14 13:19:44 EDT
yum-utils-1.1.27-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.